GZ(1)

NAME
gz - Gazebo command line tool for control and analysis.

SYNPOSIS
gz command [option]... [argument]...

COMMANDS

  camera

gz camera [options]

Change properties of a camera. If a name for the world, option -w, is not specified, the first world found on the Gazebo master will be used. A camera name is required.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-c, --camera-name=arg
    Camera name. Use gz camera -l to get a list of camera names.

-l, --list
    List all cameras

-f, --follow=arg
    Model to follow.

  debug

gz debug [options]

Used primarily for bash completion, this tool return the completion list for a given command.

Options:

-h, --help
    Print this help message

-o, --option=arg
    Show the command options.

  help

gz help [options]

Output information about a gz command.

Options:

-h, --help
    Print this help message

  joint

gz joint [options]

Change properties of a joint. If a name for the world, option -w, is not specified, the first world found on the Gazebo master will be used. A model name and joint name are required.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-m, --model-name=arg
    Model name.

-j, --joint-name=arg
    Joint name.

-d, --delete
    Delete a model.

-f, --force=arg
    Force to apply to a joint.

--pos-t=arg
    Target angle.

--pos-p=arg
    Position proportional gain.

--pos-i=arg
    Position integral gain.

--pos-d=arg
    Position differential gain.

--vel-t=arg
    Target speed.

--vel-p=arg
    Velocity proportional gain.

--vel-i=arg
    Velocity integral gain.

--vel-d=arg
    Velocity differential gain.

  log

gz log [options]

Introspect and manipulate Gazebo log files. The log command can also start and stop data log recording from an active Gazebo server.

Options:

-h, --help
    Print this help message

-i, --info
    Output information about a log file. Log filename should be specified using the --file option

-e, --echo
    Output the contents of a log file to screen.

-s, --step
    Step through the contents of a log file.

-d, --record=arg
    Start/stop recording a log file from an active Gazebo server.O=stop record, 1=start recording.

-w, --world-name=arg
    World name, used when starting or stopping recording.

-r, --raw
    Output the data from echo and step without XML formatting.Used in conjuction with --echo or --step.

--stamp=arg
    Add a timestamp to each line of output. Valid values are (sim,real,wall)

-z, --hz=arg
    Filter output to the specified Hz rate.Only valid for echo and step commands.

-f, --file=arg
    Path to a log file.

--filter=arg
    Filter output. Valid only for the echo and step commands

  model

gz model [options]

Change properties of a model, delete a model, or spawn a new model. If a name for the world, option -w, is not pecified, the first world found on the Gazebo master will be used.

Options:

-h, --help
    Print this help message

-m, --model-name=arg
    Model name.

-w, --world-name=arg
    World name.

-d, --delete
    Delete a model.

-f, --spawn-file=arg
    Spawn model from SDF file.

-s, --spawn-string
    Spawn model from SDF string, pass by a pipe.

-i, --info
    Output model state information to the terminal.

-p, --pose
    Output model pose as a space separated 6-tuple: x y z roll pitch yaw.

-x, --pose-x arg x value

-y, --pose-y arg y value

-z, --pose-z arg z value

-R, --pose-R arg roll in radians.

-P, --pose-P arg pitch in radians.

-Y, --pose-Y arg yaw in radians.

  physics

gz physics [options]

Change properties of the physics engine on a specific world. If a name for the world, option -w, is not specified, the first world found on the Gazebo master will be used.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-g, --gravity=arg
    Gravity vector. Comma separated 3-tuple without whitespace, eg: -g 0,0,-9.8

-s, --step-size=arg
    Maximum step size (seconds).

-i, --iters=arg
    Number of iterations.

-u, --update-rate=arg
    Target real-time update rate.

  sdf

gz sdf [options]

Introspect, convert, and output SDF files. Use the -v option to specify the version of SDF for use with other options.

Options:

-h, --help
    Print this help message

-d, --describe
    Print SDF format for given version(-v).

-c, --convert=arg
    In place conversion of arg to the latest SDF version.

-o, --doc
    Print HTML SDF. Use -v to specify version.

-k, --check=arg
    Validate arg.

-v, --version=arg
    Version of SDF to use with other options.

-p, --print=arg
    Print arg, useful for debugging and as a conversion tool.

  stats

gz stats [options]

Print gzserver statics to standard out. If a name for the world, option -w, is not specified, the first world found on the Gazebo master will be used.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-d, --duration=arg
    Duration (seconds) to run.

-p, --plot
    Output comma-separated values, useful for processing and plotting.

  topic

gz topic [options]

Print topic information to standard out. If a name for the world, option -w, is not specified, the first world found on the Gazebo master will be used.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-l, --list
    List all topics.

-i, --info=arg
    Get information about a topic.

-e, --echo=arg
    Output topic data to screen.

-v, --view=arg
    View topic data using a QT widget.

-z, --hz=arg
    Get publish frequency.

-b, --bw=arg
    Get topic bandwidth.

-u, --unformatted
    Output data from echo without formatting.

-d, --duration=arg
    Duration (seconds) to run. Applicable with echo, hz, and bw

  world

gz world [options]

Change properties of a Gazebo world on a running server. If a name for the world, option -w, is not specified the first world found on the Gazebo master will be used.

Options:

-h, --help
    Print this help message

-w, --world-name=arg
    World name.

-p, --pause=arg
    Pause/unpause simulation. 0=unpause, 1=pause.

-s, --step
    Step simulation one iteration.

-m, --multi-step=arg
    Step simulation mulitple iteration.

-r, --reset-all
    Reset time and model poses

-t, --reset-time
    Reset time

-o, --reset-models
    Reset models